%define major		1
%define libname		%mklibname xkbui %{major}
%define develname	%mklibname xkbui -d

Name:		libxkbui
Summary:	The xkbui Library
Version:	1.0.2
Release:	%mkrel 18
Group:		Development/X11
License:	MIT
URL:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(x11) >= 1.0.0
BuildRequires:	pkgconfig(xkbfile) >= 1.0.1
BuildRequires:	pkgconfig(xt) >= 1.0.0
BuildRequires:	x11-util-macros >= 1.0.1

%description
The xkbui Library

#-----------------------------------------------------------

%package -n %{libname}
Summary:  The xkbui Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libname}
The xkbui Library

%files -n %{libname}
%{_libdir}/libxkbui.so.%{major}
%{_libdir}/libxkbui.so.%{major}.*

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}xkbui-static-devel < 1.0.2-11

%description -n %{develname}
Development files for %{name}

%files -n %{develname}
%{_libdir}/libxkbui.so
%{_libdir}/pkgconfig/xkbui.pc
%{_includedir}/X11/extensions/XKBui.h

#-----------------------------------------------------------

%prep
%setup -q -n libxkbui-%{version}

%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--disable-static
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 1.0.2-18.mga8
+ Revision: 1514664
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.2-17.mga7
+ Revision: 1299256
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 wally <wally> 1.0.2-16.mga7
+ Revision: 1236062
- fix build on aarch64

* Tue Feb 02 2016 umeabot <umeabot> 1.0.2-15.mga6
+ Revision: 932765
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-14.mga5
+ Revision: 747930
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-13.mga5
+ Revision: 681886
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.2-12.mga4
+ Revision: 532787
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.0.2-11.mga4
+ Revision: 469584
- drop unneeded requires
- drop old Mdv era conflicts/obsoletes
- drop static devel pkg

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.0.2-10.mga3
+ Revision: 397163
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.0.2-9.mga3
+ Revision: 358615
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 27 2012 fwang <fwang> 1.0.2-8.mga3
+ Revision: 274954
- update file list
- drop .la file

* Tue Jan 11 2011 dmorgan <dmorgan> 1.0.2-8.mga1
+ Revision: 6441
- imported package libxkbui


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-8mdv2011.0
+ Revision: 602620
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-7mdv2010.1
+ Revision: 520966
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.2-6mdv2010.0
+ Revision: 425929
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0.2-5mdv2009.0
+ Revision: 223078
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1.0.2-4mdv2008.1
+ Revision: 150861
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Aug 04 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.2-3mdv2008.0
+ Revision: 58828
- rebuild for 2008
- new devel policy
- spec clean


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 20:17:57 (31598)
- X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 19:54:51 (26912)
- fixed more dependencies

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

